Debian Bug report logs - #719478
ITP: erfa -- Image visualization and access to catalogs and data for astronomy

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ole Streicher <debian@liska.ath.cx>

Date: Mon, 12 Aug 2013 10:03:02 UTC

Owned by: Ole Streicher <debian@liska.ath.cx>

Severity: wishlist

Fixed in version erfa/1.0.0-1

Done: Alastair McKinstry <mckinstry@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#719478; Package wnpp. (Mon, 12 Aug 2013 10:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Streicher <debian@liska.ath.cx>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 12 Aug 2013 10:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ole Streicher <debian@liska.ath.cx>
To: submit@bugs.debian.org
Subject: ITP: erfa -- Image visualization and access to catalogs and data for astronomy
Date: Mon, 12 Aug 2013 12:00:19 +0200
Package: wnpp
Severity: wishlist
Owner: Ole Streicher <debian@liska.ath.cx>
C-Debbugs-Cc:  debian-devel@lists.debian.org,
debian-science@lists.debian.org

* Package name    : erfa
  Version         : None released yet
  Upstream Author : IAU SOFA Board
* URL             : https://github.com/liberfa/erfa
* License         : BSD3
  Programming Lang: C
  Description     : Image visualization and access to catalogs and data
for astronomy
 ERFA is a C library containing key algorithms for astronomy, and is
 based on the SOFA library published by the International Astronomical
 Union (IAU).
 .
 It is intended to replicate the functionality of SOFA (aside from
 possible bugfixes in ERFA that have not yet been included in SOFA),
 but is licensed under a three-clause BSD license to enable its
 compatibility with a wide range of open source licenses. Permission
 for this release has been obtained from the SOFA board.

The intention of this package is to replace the iausofa_c package. Since
the prefix of all functions changed from iau_ to erfa_, the dependent
packages need to be patched to use erfa. These are the packages
"starlink-pal" and "python-astropy".

Best

Ole




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 28 Oct 2013 07:06:08 GMT) Full text and rfc822 format available.

Reply sent to Alastair McKinstry <mckinstry@debian.org>:
You have taken responsibility. (Fri, 29 Nov 2013 16:03:45 GMT) Full text and rfc822 format available.

Notification sent to Ole Streicher <debian@liska.ath.cx>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 16:03:45 GMT) Full text and rfc822 format available.

Message #12 received at 719478-close@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: 719478-close@bugs.debian.org
Subject: Bug#719478: fixed in erfa 1.0.0-1
Date: Fri, 29 Nov 2013 16:00:07 +0000
Source: erfa
Source-Version: 1.0.0-1

We believe that the bug you reported is fixed in the latest version of
erfa, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 719478@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alastair McKinstry <mckinstry@debian.org> (supplier of updated erfa package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 27 Oct 2013 18:13:06 +0000
Source: erfa
Binary: liberfa1 liberfa-dev
Architecture: source i386
Version: 1.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Alastair McKinstry <mckinstry@debian.org>
Description: 
 liberfa-dev - Essential Routines for Fundamental Astronomy (development files)
 liberfa1   - Essential Routines for Fundamental Astronomy
Closes: 719478
Changes: 
 erfa (1.0.0-1) unstable; urgency=low
 .
   [Ole Streicher]
   * Initial release. (Closes: #719478)
Checksums-Sha1: 
 116719100bb9092fcf2157d547a304d1e2adf19e 2015 erfa_1.0.0-1.dsc
 1fc1f36481e7421d04928fd19342edb2a7443039 255952 erfa_1.0.0.orig.tar.gz
 fc19744354a0df087cef30455276b8dd05897a49 3275 erfa_1.0.0-1.debian.tar.gz
 8b0d045665bfcbf007f04498b6217d94d11500f6 105742 liberfa1_1.0.0-1_i386.deb
 52927a01879fb0d89ccd1f5f081d50ae2ac034dc 115402 liberfa-dev_1.0.0-1_i386.deb
Checksums-Sha256: 
 1915a1845ccab01b2a0828bc1c8a670b2e98e84ca0c77e540db4561a7f904391 2015 erfa_1.0.0-1.dsc
 e18d705fe0e9aa9a5c3ba4bd9187cf7a894f3fca212f9bfb5f056929df230088 255952 erfa_1.0.0.orig.tar.gz
 530f2af8bc8de3ce51511ef1c40d6980138fd63064317ff2111ee00e2ef5416a 3275 erfa_1.0.0-1.debian.tar.gz
 9f88f277cc71731ced5af44f185d7ff0539f71d25c63abce62b5fb23c35fb0be 105742 liberfa1_1.0.0-1_i386.deb
 087421c26d50036e9323a9a26697a14fd6cdae3ce9a105b5436d9d7645aa7feb 115402 liberfa-dev_1.0.0-1_i386.deb
Files: 
 3e2404ed966106c22449cbb0cd59a11d 2015 science extra erfa_1.0.0-1.dsc
 4aa9aed8ec45443860fbf71d622febe5 255952 science extra erfa_1.0.0.orig.tar.gz
 32c1c1575f5ba0ca2c461c82611a8759 3275 science extra erfa_1.0.0-1.debian.tar.gz
 8eaf019f8e267275cab3760c0722d1f2 105742 libs extra liberfa1_1.0.0-1_i386.deb
 231124aa16acb80e3b8cd57cd82c8889 115402 libdevel extra liberfa-dev_1.0.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSbV6hAAoJEN9LdrZRJ3QsfAoQAKkZVb6j2ricbnvpN+jIDRa6
rfFgvnciKF+aOChbyvrWn1QaZxpfLYoX9ujqNYMnMj/6Z8lsu69Pg03DRF+KkwqZ
PlII5HU+AZzHNVbrouswtSUniOluMnSWPjv9XzU7aEO1+xm+DwDfzoQbN0gyH3Kt
jByInAu/OO6Ut5PwjxNBqF3WshJYFWGP4IwtUSNOtzQOh/QyVTjsHJZPlf0rUUSj
TJQgHBWlv4/qNL4y6Jz7SkyKqYU+3duMDlYNWHxbNSS9CZq3bS+gGtHuG7y8FFi2
cBWG4yLVayOZ5GphFVbjquXrDyYg9unEtGZziHLXr2ysPiifilYyq4XoAXh+PKP/
q/fnjxFXoMqnnlMs3CysUH0womOynNhrRQLe3DXdQR4F8YMhXhOqFS0foAE9e8fw
67UfJ0XdPE2hgLp9R/5L+Rvz6W4ieYIekJmDvI0TTNfeUmn8mGEjz0sn5a9YZVjs
yi5wiKZnWmBoB7gDqrGzkd80cXG2GC3/phVJavRtAuO7e59QyvqWCEDtvqhiRAMr
WZeoy8ApYscwtWMjlziabYo9C0fvmmc5YGGYSidGDV4mLG7py1CQv2maHQYXo2MA
F1I2m8W6h9E+GnFuMfFwv/8QOXaLguMhOfQaOK+9/PUcC7mTrTyekvR9MOU6tMb6
VbVrZMzeX3ojihDoX/un
=jtal
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:40:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:38:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.